summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-30 01:17:20 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-30 21:11:18 +0100
commit32f7ea7414187bdf088cf4ab4281ca358fcd750c (patch)
tree50a8c91826bb4e3495224674ca2bfdacc3e1c212 /tests/tests
parent09a50d137d413fea729330a284a2e221f26b756c (diff)
test suite: baredebian-multitar: New test
We should exercise all that tarball import machinery. The test doesn't yet really examine the results. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/baredebian-multitar23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/tests/baredebian-multitar b/tests/tests/baredebian-multitar
new file mode 100755
index 0000000..74ad64a
--- /dev/null
+++ b/tests/tests/baredebian-multitar
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-baredebian
+
+t-dependencies GDR DEBORIG quilt
+
+t-setup-import baredebian
+t-tstunt-parsechangelog
+
+cd $p
+baredebian-test-vars
+baredebian-tarball-mode
+
+rm -f ../example_1.0.orig.tar.*
+cp $troot/pkg-srcs/${p}_${uv}.orig*.tar.* ..
+xorigcomps=docs
+
+git tag -d $uvtag
+
+baredebian-test-core
+
+t-ok